Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class T3ExecuteException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.common.T3ExecuteException

public class T3ExecuteException
extends java.lang.Exception

A T3ExecuteException is thrown whenever an error occurs in the execute() method of a class that implements either the T3Executable or T3ExecutableLazy interface.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`T3ExecuteException()` Constructs a T3ExecuteException.
`T3ExecuteException(java.lang.Exception ne)` Constructs a T3ExecuteException with the specified nested exception.
`T3ExecuteException(java.lang.String message, java.lang.Exception ne)` Constructs a T3ExecuteException with the specified message and nested exception.
`T3ExecuteException(java.lang.String message, java.lang.Exception ne, java.lang.String nestedStackTrace)` Constructs a T3ExecuteException with the specified message, a nested exception, and a nested stack trace.

Method Summary
`java.lang.Exception` | `getNestedException()` Gets the nested exception associated with a T3ExecuteException.
`java.lang.String` | `getNestedExceptionStackTrace()` Gets the stack trace for a T3ExecuteException nested exception.
`void` | `printStackTrace()` Prints the stack trace for a T3ExecuteException.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints the stack trace for a T3ExecuteException to the specified print stream.
`void` | `setNestedExceptionStackTrace(java.lang.String cst)` Sets the stack trace for a T3ExecuteException nested exception to the specified stack trace.
`java.lang.String` | `toString()` Displays a String representation of a T3ExecuteException.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### T3ExecuteException

    public T3ExecuteException()

  Constructs a T3ExecuteException.

### T3ExecuteException

    public T3ExecuteException(java.lang.String message,
                              java.lang.Exception ne,
                              java.lang.String nestedStackTrace)

  Constructs a T3ExecuteException with the specified message, a nested exception, and a nested stack trace.

  Parameters:
    `message` - Exception message
    `ne` - Nested exception
    `nestedStackTrace` - Stack trace from the nested exception

### T3ExecuteException

    public T3ExecuteException(java.lang.String message,
                              java.lang.Exception ne)

  Constructs a T3ExecuteException with the specified message and nested exception.

  Parameters:
    `message` - Exception message
    `ne` - Nested exception

### T3ExecuteException

    public T3ExecuteException(java.lang.Exception ne)

  Constructs a T3ExecuteException with the specified nested exception.

  Parameters:
    `ne` - Nested exception

Method Detail

### getNestedException

    public java.lang.Exception getNestedException()

  Gets the nested exception associated with a T3ExecuteException.

  Returns:
    Nested exception

### getNestedExceptionStackTrace

    public java.lang.String getNestedExceptionStackTrace()

  Gets the stack trace for a T3ExecuteException nested exception.

  Returns:
    Stack trace for the nested exception

### setNestedExceptionStackTrace

    public void setNestedExceptionStackTrace(java.lang.String cst)

  Sets the stack trace for a T3ExecuteException nested exception to the specified stack trace.

  Parameters:
    `cst` - Stack trace

### printStackTrace

    public void printStackTrace()

  Prints the stack trace for a T3ExecuteException.

  Overrides:
    printStackTrace in class java.lang.Throwable

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints the stack trace for a T3ExecuteException to the specified print stream.

  Parameters:
    `ps` - PrintStream
  Overrides:
    printStackTrace in class java.lang.Throwable

### toString

    public java.lang.String toString()

  Displays a String representation of a T3ExecuteException.

  Returns:
    String representation
  Overrides:
    toString in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD